aboutsummaryrefslogtreecommitdiffhomepage
path: root/src/test/shell
diff options
context:
space:
mode:
authorGravatar Philipp Wollermann <philwo@google.com>2016-10-19 13:46:35 +0000
committerGravatar Philipp Wollermann <philwo@google.com>2016-10-19 13:48:36 +0000
commit212729a59e02f39ae3a1dce2d53dd2ce13c75f92 (patch)
tree6794819d1579eeb05adb52d25619dd087085b11c /src/test/shell
parent3d93b8f6d99854aeb26ae7fc624f245974704fe9 (diff)
Fix android_integration_test to include the integration_test_setup instead of the old test-setup.
-- MOS_MIGRATED_REVID=136589691
Diffstat (limited to 'src/test/shell')
-rwxr-xr-xsrc/test/shell/bazel/android/android_integration_test.sh7
1 files changed, 4 insertions, 3 deletions
diff --git a/src/test/shell/bazel/android/android_integration_test.sh b/src/test/shell/bazel/android/android_integration_test.sh
index e4b6d81767..4f819ba1be 100755
--- a/src/test/shell/bazel/android/android_integration_test.sh
+++ b/src/test/shell/bazel/android/android_integration_test.sh
@@ -14,9 +14,10 @@
# See the License for the specific language governing permissions and
# limitations under the License.
-# Load test environment
-source $(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)/../test-setup.sh \
- || { echo "test-setup.sh not found!" >&2; exit 1; }
+# Load the test setup defined in the parent directory
+CURRENT_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
+source "${CURRENT_DIR}/../../integration_test_setup.sh" \
+ || { echo "integration_test_setup.sh not found!" >&2; exit 1; }
function create_android_binary() {